\chapter*{Preface}

This is a course in proof writing 
for majors in Mathematics.

\medskip     
\noindent\textsc{Approach.}
This course is Inquiry-Based, sometimes called the Discovery Method 
(an older term is Moore Method).
Students get a sequence of things to prove,
along with definitions and a few remarks.
They attempt these outside of class,
and then in class they propose solutions, and carefully examine the
solutions proposed by others.
The instructor only 
lightly guides and the students pledge not to use outside sources.
Together, they talk through misunderstandings, 
sometimes stumble in the dark, and sometimes
have beautiful flashes of insight.
In short, they \emph{do} the mathematics.

There are two advantages.
First, students own it\Dash they are completely engaged.
This is the ultimate in active learning.
Second,  through their discussions, 
students come not only to see what is right but also 
to understand why what's wrong is wrong.
For these students, with this material,
this is the best way to develop mathematical maturity.
Besides, it is a lot of fun.

For more, see the book's web site described below,
and the site of 
\href{https://www.comathinquiry.org/}{Communities for Mathematics Inquiry in Teaching Network}.


\medskip
\noindent\textsc{Topics.}
The only prerequisite is high school mathematics.
In a semester, I cover the first three chapters, 
on elementary number theory, sets, functions, and relations.

We start with number theory instead of sets
for the same reason
that the baseball team's practice starts with tossing the ball and 
not with reading the rule book.
Math majors take readily to proving things about
divisibility and primes, 
whereas weeks of preliminary material is less of a lure.

But the background is good stuff also, and 
students get on board quickly.
The second and third chapters cover what they will need for later classes,
keeping the
intellectual habits that we've established at the start.



\medskip
\noindent\textsc{Exercises.}
To the extent possible,
nearby exercises have about the same difficulty.
This level gradually rises.

Some exercises have multiple items; these come in two types.
If the items are labeled \textsc{A}, \textsc{B}, etc., 
then each one is hard enough to be a separate assignment
and in class I ask a different student to propose a solution
for each. 
If the labels are i, ii, etc., then 
a single person does them all.


\medskip
\noindent\textsc{Acknowledgments.}
The material is standard but I must recognize my debt to the
wonderful presentations of J~Jensen-Vallin and D~Velleman.
I am also glad for the chance to thank the students of past classes in Proofs,
who have taught me a great deal.



\medskip
\noindent\textsc{Web site.}
This book is Free.
In particular, you are free to copy it and distribute those copies.
See this book's page at
\href{https://hefferon.net/proofs}{\texttt{hefferon.net/proofs}}.
That page has a version of this text
that fits on seven double-sided sheets, which you can
just hand out on the first day.
That's what I do.

It has other material
that you may find useful,
including some classroom slides
and a handout for students about the basics of writing mathematics.
All of it comes with 
the \LaTeX{} source, so that you can adapt
it to your needs.

I am always glad to get reports, either a description of your
experience, or suggestions, or bugs.
% I save these and periodically revise.
Please email me at the address on the web site.


\smallskip
\vspace*{0.1in plus 1fill}
\noindent\parbox{.95\textwidth}{\textit{The most important thing [is that] proving things in math [i]s a skill like any other that you get good at through practice.}\hspace{1.5em}---Cathy O'Neil}  % mathbabe blog; got permission

%% \smallskip
%% \noindent\parbox{.95\textwidth}{\raggedright\textit{At the first meeting of the class Moore would define the basic terms and either challenge the class to discover the relations among them, or, depending on the subject, the level, and the students, explicitly state a theorem, or two, or three. Class dismissed. Next meeting: "Mr Smith, please prove Theorem 1. Oh, you can't? Very well, Mr Jones, you? No? Mr Robinson? No? Well, let's skip Theorem 1 and come back to it later. How about Theorem 2, Mr Smith?" Someone almost always could do something. If not, class dismissed. It didn't take the class long to discover that Moore really meant it, and presently the students would be proving theorems and watching the proofs of others with the eyes of eagles.}\hspace{1.5em}---Paul Halmos}

\medskip
\noindent\parbox{.95\textwidth}{\textit{It's a kind of art that may change lives.}\hspace{1.5em}---Peter Schjeldahl}  % , \textit{New Yorker}
 
\medskip
\begin{flushright}
  \begin{tabular}{@{}l@{}}
  Jim Hef{}feron  \\
  Saint Michael's College, \\
  Colchester, Vermont USA \\
  2021-Summer
  \end{tabular}
\end{flushright}
